#
# spec file for package perl-XML-LibXML-Common (Version 0.13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libxml2-devel libxml2-test libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-XML-LibXML-Common
BuildRequires:  libxml2-devel libxml2-test
Version:        0.13
Release:        17.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://www.cpan.org/modules/by-module/XML/
Summary:        XML::LibXML::Common Perl Module
Source:         XML-LibXML-Common-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
XML::LibXML::Common contains several constants and functions that are
shared by XML::LibXML, XML::GDOME, and XML::LibXSLT (not all done,
yet).



%debug_package
%prep
%setup -q -n XML-LibXML-Common-%{version}

%build
perl Makefile.PL
make
#make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML
/var/adm/perl-modules/%{name}

%changelog -n perl-XML-LibXML-Common
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 14 2004 - clahey@suse.de
- New package.
